--- /usr/src/linux/include/linux/autoconf.h.orig	Thu Oct 19 16:26:45 2000
+++ /usr/src/linux/include/linux/autoconf.h	Mon Jan  8 16:01:06 2001
@@ -21,55 +21,19 @@
 #undef __rh_autoconf_included_file__
 #endif /* __rh_autoconf_included_file__ */
 
-#if defined(__BOOT_KERNEL_UP) && (__BOOT_KERNEL_UP == 1)
-#include <linux/autoconf-up.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_UP */
-
-#if defined(__BOOT_KERNEL_FB) && (__BOOT_KERNEL_FB == 1)
-#include <linux/autoconf-fb.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_FB */
-
-#if defined(__BOOT_KERNEL_SMP) && (__BOOT_KERNEL_SMP == 1)
-#include <linux/autoconf-smp.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_SMP */
-
-#if defined(__BOOT_KERNEL_SECURE) && (__BOOT_KERNEL_SECURE == 1)
-#include <linux/autoconf-secure.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_SECURE */
+#if defined(__BOOT_KERNEL_AUTOCONF_CURRENT)
 
-#if defined(__BOOT_KERNEL_BOOT) && (__BOOT_KERNEL_BOOT == 1)
-#include <linux/autoconf-BOOT.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_BOOT */
+#if defined(linux)
+#undef linux
+#include __BOOT_KERNEL_AUTOCONF_CURRENT
+#define linux 1
+#else
+#include __BOOT_KERNEL_AUTOCONF_CURRENT
+#endif /* linux */
 
-#if defined(__BOOT_KERNEL_BOOTSMP) && (__BOOT_KERNEL_BOOTSMP == 1)
-#include <linux/autoconf-BOOTsmp.h>
 #define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_BOOTSMP */
 
-#if defined(__BOOT_KERNEL_LDV) && (__BOOT_KERNEL_LDV == 1)
-#include <linux/autoconf-LDV.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_LDV */
-
-#if defined(__BOOT_KERNEL_HQ) && (__BOOT_KERNEL_HQ == 1)
-#include <linux/autoconf-HQ.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_HQ */
-
-#if defined(__BOOT_KERNEL_SOHO) && (__BOOT_KERNEL_SOHO == 1)
-#include <linux/autoconf-soho.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_SOHO */
-
-#if defined(__BOOT_KERNEL_CUSTOM) && (__BOOT_KERNEL_CUSTOM == 1)
-#include <linux/autoconf-custom.h>
-#define __rh_autoconf_included_file__ 1
-#endif /* __BOOT_KERNEL_CUSTOM */
+#endif /* __BOOT_KERNEL_CURRENT */
 
 #if !defined(__rh_autoconf_included_file__)
 #include <linux/autoconf-up.h>
